module 'sys.process' {
   exec_filename = 'sys.env':{'_'}.

   exit(Error_code) :-
      'kernel':sys_exit(Error_code).

   halt :-
      'kernel':sys_halt.

   abort :-
      'kernel':sys_abort.

   spawn(Command, Arguments, Error_code) :-
      'kernel':sys_spawn(Command, Arguments, Error_code).

   spawn(Command, Arguments) :-
      'sys.process':spawn(Command, Arguments, 0).
}
